class AccountsController < ApplicationController
  before_filter :require_user
  before_filter :require_administrator, :only=> [:index, :new, :create, :destroy, :edit_any, :update]

  def index
    @accounts = Account.all
  end
  
  def show
    @account = current_user
  end
  
  def new
    @account = Account.new
  end
  
  def create
    @account = Account.new(params[:account])
    if @account.save
      flash[:notice] = "Registrace proběhla úspěšně."
      redirect_to root_url
    else
      render :action => 'new'
    end
  end
  
  def edit
    @account = current_user
  end

  def edit_any
    @account = Account.find(params[:id])
    render :edit
  end
  
  def update
    if require_administrator and (params[:id].to_i != 0)
      @account = Account.find(params[:id])
    else
      @account = current_user
    end
    if @account.update_attributes(params[:account])
      flash[:notice] = "Vaše údaje byly úspěšně změněny."
      redirect_to root_path
    else
      render :action => 'edit'
    end
  end
  
  def destroy
    @account = current_user
    @account.destroy
    flash[:notice] = "Successfully destroyed account."
    redirect_to accounts_url
  end

  def destroy_any
    @account = Account.find(params[:id])
    @account.destroy
    flash[:notice] = "Successfully destroyed account."
    redirect_to accounts_url
  end

end
